<template>
  <div class="Largescreen">
    <div
      style="
        display: flex;
        justify-content: center;
        color: #fff;
        font-size: 15rem;
        letter-spacing: 5rem;
        font-weight: bold;
      "
    >
      检13道
    </div>
    <div
      style="
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        color: #fff;
        font-size: 3rem;
        margin-top: 3rem;
      "
    >
      <div
        style="
          display: flex;
          justify-content: center;
          align-items: center;
          width: 50%;
          height: 3rem;
          background-color: #95f204;
          margin-top: 1rem;
          border-radius: 1.5rem;
        "
      ></div>
    </div>

    <div
      style="
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        height: 20rem;
        color: #fff;
        font-weight: bold;
        margin-top: 5rem;
        font-size: 10rem;
      "
    >
      <span> CR400AF</span>
      <span>G7237</span>
    </div>

    <div
      style="
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-top: 6%;
        padding-bottom: 10%;
        height: 60%;
        box-sizing: border-box;
        border-radius: 2rem;
        background-color: rgba(39, 136, 214, 0.5);
        box-shadow: 0px 0px 1rem 0rem rgba(18, 150, 219, 0.5);
      "
    >
      <div
        style="
          display: flex;
          width: 100%;
          justify-content: center;
          flex-direction: column;
          align-items: center;
          text-align: right;
          margin-top: 3rem;
        "
      >
        <div style="display: flex; flex-direction: column; width: 100%">
          <div
            style="
              height: 5rem;
              font-size: 6rem;
              font-weight: bold;
              display: flex;
              align-items: center;
              padding-left: 2rem;
              box-sizing: border-box;
            "
          >
            <img
              style="width: 6rem; height: 6rem"
              src="@/assets/imgs/下一个.png"
              alt=""
            />
            <div
              style="
                width: 30%;
                text-align: justify;
                text-justify: distribute-all-lines;
                text-align-last: justify;
                margin-left: 2rem;
                color: #fff;
              "
            >
              登顶人数
            </div>
          </div>
          <div
            style="
              margin-left: 2rem;
              display: flex;
              justify-content: space-around;
              align-items: center;
              margin-top: 5rem;
            "
          >
            <div
              style="
                width: 40%;
                font-size: 6rem;
                color: #fff;
                background-color: #058f66;
                border-radius: 1.5rem;
                padding: 0.5rem 1rem;
                text-align: center;
              "
            >
              已登记 <span>2人</span>
            </div>
            <div
              style="
                width: 40%;
                font-size: 6rem;
                color: #fff;
                background-color: #d9001b;
                border-radius: 1.5rem;
                padding: 0.5rem 1rem;
                text-align: center;
              "
            >
              已登顶 <span>2人</span>
            </div>
          </div>
        </div>
        <div
          style="
            color: #fff;
            font-size: 5rem;
            display: flex;
            width: 90%;
            justify-content: space-between;
            align-items: center;
            margin-top: 5rem;
          "
        >
          <div style="color: #fff">检修人员列表</div>
          <div style="color: #fff">
            正在检修人员数量:
            <span style="font-size: 4rem">{{ totalCount }}</span
            >位
          </div>
        </div>
        <div style="width: 90%; margin-top: 2rem">
          <el-table
            empty-text="暂无数据"
            :data="tableData"
            style="width: 100%"
            height="400"
            :header-cell-style="{
              height: '1.61rem',
              color: '#fff',
              background: '#1860A8',
              fontSize: '2rem',
            }"
            :cell-style="{
              color: '#fff',
              background: 'rgba(23, 87, 149, 0.9)',
            }"
          >
            <el-table-column
              prop="userTrueName"
              label="序号"
              align="center"
              min-width="1%"
            />
            <el-table-column
              prop="userTrueName"
              label="姓名"
              align="center"
              min-width="1%"
            />
            <el-table-column
              prop="userteam"
              label="单位"
              align="center"
              min-width="1%"
            />
            <el-table-column prop="userteam" label="班组" min-width="1%" />
            <el-table-column
              prop="maintenanceStatus"
              label="检修状态"
              align="center"
              min-width="1%"
            >
              <template #default="scope">
                <span v-if="scope.row.maintenanceStatus === 0">未开始</span>
                <span v-else-if="scope.row.maintenanceStatus === 1"
                  >进行中</span
                >
                <span v-else-if="scope.row.maintenanceStatus === 2"
                  >已结束</span
                ></template
              >
            </el-table-column>
            <el-table-column
              prop="maintenanceDate"
              label="日期"
              align="center"
              min-width="2%"
            />
            <el-table-column
              prop="maintenanceDate"
              label="上线时间"
              align="center"
              min-width="2%"
            />
          </el-table>
        </div>

        <div
          style="
            position: absolute;
            bottom: 4%;
            color: #fff;
            font-weight: bold;
            font-size: 3rem;
            margin-top: 2rem;
          "
        >
          {{ currentTime }}
        </div>
      </div>
    </div>
  </div>
</template>
<script setup>
import { onMounted, reactive, ref, toRef, onUnmounted } from "vue";
import {
  PersonnelMonitoring,
  UpstreamInspectionRoad,
} from "@/api/newapi/Maintenance";
import { formatTime } from "@/utils/index";

const tableData = ref([]);
const pageTotal = ref(0);
const totalCount = ref(0);
//分页请求参数
const pageQuery = ref({
  page: 1, //当前页面
  rows: 20, //每页显示条数
  order: "desc", //排序方式
  sort: "", //排序字段
  wheres: "", //条件查询
});
const obj = {
  selectType: "",
  inputcontent: "",
};
const queryForm = toRef({ ...obj });
const initData = () => {
  PersonnelMonitoring({
    pageIndex: pageQuery.value.page,
    pageSize: pageQuery.value.rows,
    searchKeyword: queryForm.value.inputcontent,
    status: queryForm.value.selectType,
    account: "admin",
  }).then((res) => {
    tableData.value = res.data.items;
    pageTotal.value = res.data.totalCount;
    totalCount.value = res.data.items.filter(
      (v) => v.maintenanceStatus == 1
    ).length;
  });
};
const currentTime = ref("");
const timer = ref(null);
onMounted(async () => {
  clearInterval(timer.value);
  initData();
  //获取当前时间
  const date = new Date();
  timer.value = setInterval(() => {
    currentTime.value = formatTime(date, "yyyy-MM-dd hh:mm:ss");
    date.setSeconds(date.getSeconds() + 1);
  }, 1000);
  // await UpstreamInspectionRoad();
});
onUnmounted(() => {
  clearInterval(timer.value);
});
</script>
<style lang="scss" scoped>
.Largescreen {
  display: flex;
  flex-direction: column;
  // background-color: rgba($color: #000000, $alpha: 0.2);
  .shadow {
    box-shadow: 0px 0px 1rem 0.5rem rgb(18, 150, 219);
  }
}
:deep(.el-table__empty-block) {
  background-color: rgba(23, 87, 149, 0.9);
}
:deep(.el-scrollbar__wrap) {
  background-color: rgba(23, 87, 149, 0.9);
}
</style>
